package aql

import (
	"git.science.uu.nl/graphpolaris/query-conversion/entity"
)

func fixIndices(JSONQuery *entity.IncomingQueryJSON) (map[int]int, map[int]int, map[int]int) {
	entityMap := make(map[int]int)
	for i, e := range JSONQuery.Entities {
		entityMap[e.ID] = i
	}
	relationMap := make(map[int]int)
	for i, r := range JSONQuery.Relations {
		relationMap[r.ID] = i
	}
	groupByMap := make(map[int]int)
	for i, g := range JSONQuery.GroupBys {
		groupByMap[g.ID] = i
	}
	return entityMap, relationMap, groupByMap
}
